<div class="main-video-container container">
    <vg-player class="vg-player">
        <vg-overlay-play></vg-overlay-play>
        <vg-buffering></vg-buffering>

        <vg-scrub-bar>
            <vg-scrub-bar-current-time></vg-scrub-bar-current-time>
            <vg-scrub-bar-buffering-time></vg-scrub-bar-buffering-time>
        </vg-scrub-bar>

        <vg-controls [vgAutohide]="true" [vgAutohideTime]="5">
            <vg-play-pause></vg-play-pause>
            <vg-playback-button></vg-playback-button>

            <vg-time-display vgProperty="current" vgFormat="mm:ss"></vg-time-display>

            <vg-scrub-bar [vgSlider]="true"></vg-scrub-bar>

            <vg-time-display vgProperty="total" vgFormat="mm:ss"></vg-time-display>

            <vg-mute></vg-mute>
            <vg-volume></vg-volume>

            <vg-fullscreen></vg-fullscreen>
        </vg-controls>

        <video class="main-video" [vgMedia]="media" #media id="singleVideo" preload="auto" autoplay loop crossorigin>
            <source src="../../../assets/videos/DBS-GUIW.mp4" type="video/mp4">
        </video>
    </vg-player>
</div>